<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myInventoryMovementLabel" jhiTranslate="mpmApp.inventoryMovement.home.createOrEditLabel">Create or edit a Inventory Movement</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!inventoryMovement.idSlip">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="inventoryMovement.idSlip" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.inventoryMovement.dateCreate" for="field_dateCreate">Date Create</label>
            <div class="input-group">
                <p-calendar inputId="field_dateCreate" name="input_dateCreate" [(ngModel)]="inventoryMovement.dateCreate"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>

    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
